<template>
  <user-center-layout :title="$t('wallet')">
    <div
      class="flex flex-col p-6 space-y-4 relative mx-auto wallet-page overflow-y-auto h-[720px]"
    >
      <div class="flex justify-between items-center">
        <div>
          <h4 class="inline mr-2 fc-primary">{{ $t("balance") }}</h4>
          <icons class="w-4 h-4" :is-refresh="true" @click="getMultiWallets" />
        </div>
        <div v-if="isCashPlayer && !depositWithdrawalProperty?.IsHidden">
          <nuxt-link to="/deposit" class="mr-3">
            <el-button class="wallet-deposit-btn !px-4 !py-2" type="primary" plain round
              ><svg-icon :svg-name="'icon-deposit-v2'" />{{
                $t(`deposit${isBhinbhin}`)
              }}</el-button
            >
          </nuxt-link>
          <!-- <el-button
            :disabled="isProcessing"
            type="primary"
            plain
            round
            @click="withdrawalFromGameProvider"
          >
            {{ $t("withdrawal_from_game_provider") }}
          </el-button> -->
        </div>
      </div>
      <div class="w-full rounded-lg bg-background5" v-for="(wallet,index) in wallets" :key="index">
          <div class="px-6 py-4 border-b-2 border-color fc-primary">
            <div :class="{'pb-1' : index > 0}">{{ wallet.getWalletNameForDisplay() }}</div>
            <div class="--text4 opacity-50 flex gap-2 w-full text-xs" v-if="wallet.Category !== 0">
              <div class="min-w-fit">
                {{ $t('Provider Limit') }}:
              </div>
              <div>
                {{ wallet.getProviderNameForDisplay() }}
              </div>
            </div>
          </div>
          <div class="px-6 py-4">
            <div class="flex items-center mb-2 gap-2">
              <div class="w-40 fc-secondary">{{ $t('Cash Balance') }}</div>
              <div class="w-40 fc-secondary">{{ $t('Outstanding') }}</div>
              <div class="w-40 fc-secondary">{{ $t('Total Balance') }}</div>
              <div class="w-[200px] fc-secondary" v-if="wallet.Category !== 0">{{ $t('turnover_progress') }}</div>
            </div>
            <div class="flex items-center gap-2">
              <div class="w-40 fc-text4 font-bold text-base">{{ wallet.getBetCreditForDisplay() }}</div>
              <div class="w-40 fc-text4 font-bold text-base">{{ wallet.getOutstandingForDisplay() }}</div>
              <div class="w-40 fc-text4 font-bold text-base">{{ wallet.getTotalBalanceForDisplay() }}</div>
              <div class="w-[200px]" v-if="wallet.Category !== 0">
                <el-progress
                  :text-inside="true"
                  :stroke-width="24"
                  :percentage="wallet.getTurnoverProgressForDisplay()"
                >
                  <div class="flex items-center">{{ wallet.getTurnoverProgressForDisplay().toFixed(2) }} %</div>
                </el-progress>
              </div>
            </div>
          </div>
        </div>
    </div>
  </user-center-layout>
</template>

<script lang="ts" setup>
import commonHelper from '@/utils/commonHelper';

const { isBhinbhin } = commonHelper;
const {
  goToDeposit,
  withdrawalFromGameProvider,
  isProcessing,
  depositWithdrawalProperty,
  isCashPlayer,
} = useWallet();
const { wallets, getMultiWallets } = useBalanceInfo();
</script>

<style lang="scss">
.wallet-deposit-btn {
  span {
    font-weight: 700;
  }
}
</style>
